---
title: "Overtime Calculation for Multiple Pay Rates (Blended Overtime)"
source_url: "https://statepayrules.com/guides/overtime-calculation-for-multiple-pay-rates-blended-overtime/"
canonical_url: "https://statepayrules.com/guides/overtime-calculation-for-multiple-pay-rates-blended-overtime/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Mathematical and statutory guide to calculating FLSA weighted average regular rate of pay for employees working multiple pay rates in a single workweek."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/guides/overtime-calculation-for-multiple-pay-rates-blended-overtime/](https://statepayrules.com/guides/overtime-calculation-for-multiple-pay-rates-blended-overtime/)
>
> *Mathematical and statutory guide to calculating FLSA weighted average regular rate of pay for employees working multiple pay rates in a single workweek.*

# Blended Overtime Math for Multiple Pay Rates

An exhaustive mathematical and legal guide detailing the FLSA weighted average regular rate of pay formula for dual-rate non-exempt employees.

Employment Law Analysts

## 1. The Statutory Blended Rate Formula

Under 29 CFR § 778.115, when a non-exempt employee in a single workweek performs two or more different types of work for which different hourly rates have been established, their regular rate for overtime purposes is the **weighted average** of those rates:

1. Weighted Regular Rate = Total Straight-Time Earnings ÷ Total Hours Worked

2. Overtime Half-Time Rate = Weighted Regular Rate × 0.5

3. Overtime Premium Owed = Overtime Half-Time Rate × Total Overtime Hours

## 2. Worked Math Example: Dual-Rate Employee

An employee works **30 hours as a Cashier ($20.00/hr)** and **20 hours as a Shift Lead ($30.00/hr)** in the same workweek (Total: 50 hours worked, 10 hours of FLSA overtime).

## Frequently Asked Questions (Blended Overtime)

Only if an explicit agreement exists under FLSA § 7(g)(2) prior to performance of the work. Without a formal, pre-established agreement meeting strict Department of Labor criteria, the weighted average regular rate method (29 CFR § 778.115) is mandatory by law.

Yes. Shift differentials, non-discretionary bonuses, and hazardous duty pay must be included in total straight-time earnings before dividing by total hours worked to calculate the regular rate of pay.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/guides/overtime-calculation-for-multiple-pay-rates-blended-overtime/](https://statepayrules.com/guides/overtime-calculation-for-multiple-pay-rates-blended-overtime/).
